View Issue Details

IDProjectCategoryView StatusLast Update
0004505SymmetricDSBugpublic2020-09-01 08:19
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.8 
Target Version3.11.11Fixed in Version3.11.11 
Summary0004505: Regression NPE in Oracle, Tibero bulk loader and Hbase, and Mongo data loader factory
DescriptionWhen using Oracle or Tibero bulk loader or HBase or Mongo data loader, it gets a null pointer exception, introduced in 3.11.8

java.lang.NullPointerException: null
        at org.jumpmind.symmetric.load.DefaultDataLoaderFactory.buildDatabaseWriterSettings(DefaultDataLoaderFactory.java:205) ~[symmetric-core-3.12.2.jar:3.12.2]
        at org.jumpmind.symmetric.ext.OracleBulkDataLoaderFactory.getDataWriter(OracleBulkDataLoaderFactory.java:88) ~[symmetric-client-3.12.2.jar:3.12.2]
        at org.jumpmind.symmetric.ext.BulkDataLoaderFactory.getDataWriter(BulkDataLoaderFactory.java:57) ~[symmetric-client-3.12.2.jar:3.12.2]
        at org.jumpmind.symmetric.service.impl.DataLoaderService.buildDataWriter(DataLoaderService.java:769) ~[symmetric-core-3.12.2.jar:3.12.2]
        at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2$1.chooseDataWriter(DataLoaderService.java:1085) ~[symmetric-core-3.12.2.jar:3.12.2]
        at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:102) [symmetric-io-3.12.2.jar:3.12.2]
        at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1088) [symmetric-core-3.12.2.jar:3.12.2]
        at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1064) [symmetric-core-3.12.2.jar:3.12.2]
        at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_262]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_262]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_262]
        at java.lang.Thread.run(Thread.java:748) [?:1.8.0_262]
Tagsbulk, dialect: kafka, dialect: mongodb, dialect: oracle

Relationships

related to 0004393 closedelong Regression NPE in Postgres bulk loader factory 
related to 0004349 closedjosh-a-hicks Pass IAlterDatabaseInterceptors through the platform to DDLBuilders 
related to 0004506 closedelong Regression NPE in Oracle, Tibero bulk loader and Hbase, and Mongo data loader factory 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 38b111eb

2020-08-20 11:32:55

admin

Details Diff
0004505: Regression NPE in Oracle, Tibero bulk loader and Hbase, and
Mongo data loader factory
Affected Issues
0004505
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/OracleBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/TiberoBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/HbaseDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MongoDataLoaderFactory.java Diff File

SymmetricDS: 3.12 1ca8afcb

2020-08-20 11:32:55

admin

Details Diff
0004505: Regression NPE in Oracle, Tibero bulk loader and Hbase, and
Mongo data loader factory
Affected Issues
0004505
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/OracleBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/TiberoBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/HbaseDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MongoDataLoaderFactory.java Diff File

Issue History

Date Modified Username Field Change
2020-08-19 15:25 elong New Issue
2020-08-19 15:25 elong Status new => assigned
2020-08-19 15:25 elong Assigned To => elong
2020-08-19 15:25 elong Tag Attached: bulk
2020-08-20 08:13 elong Relationship added related to 0004393
2020-08-20 08:14 elong Relationship added related to 0004349
2020-08-20 11:13 elong Summary Regression NPE in Oracle bulk loader factory => Regression NPE in Oracle, Tibero bulk loader and Hbase, and Mongo data loader factory
2020-08-20 11:13 elong Description Updated View Revisions
2020-08-20 11:14 elong Tag Attached: dialect: kafka
2020-08-20 11:14 elong Tag Attached: dialect: mongodb
2020-08-20 11:14 elong Tag Attached: dialect: oracle
2020-08-20 11:37 elong Status assigned => resolved
2020-08-20 11:37 elong Resolution open => fixed
2020-08-20 11:37 elong Fixed in Version => 3.11.11
2020-08-20 11:37 elong Issue cloned: 0004506
2020-08-20 11:37 elong Relationship added related to 0004506
2020-08-20 12:00 admin Changeset attached => SymmetricDS 3.11 38b111eb
2020-08-20 12:00 admin Changeset attached => SymmetricDS 3.12 1ca8afcb
2020-09-01 08:19 elong Status resolved => closed